Pular para o conteúdo principal
GET
/
v1
/
attachments
/
{uuid}
/
{name}
Baixar anexo
curl --request GET \
  --url https://api.devin.ai/v1/attachments/{uuid}/{name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v1/attachments/{uuid}/{name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v1/attachments/{uuid}/{name}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Este endpoint permite fazer o download de arquivos de uma sessão do Devin. Para fazer upload de recursos, use o endpoint de upload. O endpoint retorna um redirecionamento 307 para uma URL pré-assinada que fornece acesso temporário ao arquivo. A URL pré-assinada é válida por 60 segundos.

Exemplo de uso

import requests

# Baixa um anexo
response = requests.get(
    f"https://api.devin.ai/v1/attachments/{uuid}/{filename}",
    headers={"Authorization": f"Bearer {DEVIN_API_KEY}"},
    allow_redirects=True
)

# Salva o conteúdo do arquivo
with open(filename, "wb") as f:
    f.write(response.content)

Autorizações

Authorization
string
header
obrigatório

Chave de API pessoal (apk_user_*) ou chave de API de serviço (apk_*)

Parâmetros de caminho

uuid
string
obrigatório
name
string
obrigatório

Resposta

Resposta bem-sucedida